Package org.eclipse.equinox.p2.query

## Interface IMatchQuery<T>

All Superinterfaces:
  `IQuery<T>`

All Known Implementing Classes:
  `ArtifactDescriptorQuery`, `ArtifactKeyQuery`, `ExpressionMatchQuery`, `IUProfilePropertyQuery`, `MatchQuery`, `OSGiBundleQuery`, `UserVisibleRootQuery`

    @Deprecated
    public interface IMatchQuery<T>
    extends IQuery<T>

Deprecated.
If possible, use one of the predefined queries in `QueryUtil` or use the `QueryUtil.createMatchQuery(String, Object...)` to create a custom expression based query. If the query cannot be expressed using the p2QL, then use a predefined or custom expression query as a first filter (in worst case, use `QueryUtil.createIUAnyQuery()`) and then provide further filtering like so:

     for(iter = queryable.query(someExpressionQuery).iterator(); iter.hasNext();) {
       // do your match here
     }

A query in which the elements can be evaluated by calling isMatch on. Each element can be evaluated independently of all other elements. Match queries can be evaluated in parallel as each call `isMatch(Object)` is mutually exclusive from all other calls.

Since:
  2.0
Restriction:
  This interface is not intended to be implemented by clients. Clients creating custom queries must extend `ExpressionMatchQuery`.

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`boolean` `isMatch​(T candidate)` Deprecated. Returns whether the given object satisfies the parameters of this query.

### Methods inherited from interface org.eclipse.equinox.p2.query.IQuery

`getExpression, perform`

### Method Detail

#### isMatch

    boolean isMatch​(T candidate)

Deprecated.
Returns whether the given object satisfies the parameters of this query.

Parameters:
  `candidate` - The object to perform the query against
Returns:
  `true` if the unit satisfies the parameters of this query, and `false` otherwise
Since:
  2.0
Restriction:
  This method is not intended to be referenced by clients.